﻿Imports System.Runtime.Serialization
Imports IdeaBlade.EntityModel

Namespace DomainModel

  ''' <summary>
  ''' Class used to send information to client subscribers.  Types passed to or from a Push service must be serializable,
  ''' and marked as known types.  If not marked as a known type, the service will appear to hang and clients will
  ''' not receive any notifications sent.
  ''' </summary>
  <DataContract>
  Public Class LongRunningInfo
	  Implements IKnownType

	Public Sub New(ByVal msg As String, ByVal pct As Integer)
	  Me.Message = msg
	  Me.CompletionPercent = pct
	End Sub

	<DataMember>
	Public Property Message() As String

	<DataMember>
	Public Property CompletionPercent() As Integer
  End Class
End Namespace
